package top.awin_x.learn.dao;


import top.awin_x.learn.pojo.TeacherInfo;

import java.util.ArrayList;

public interface TeacherDB {
    ArrayList<TeacherInfo> getAllTeacherInfo();

    TeacherInfo getTeacherInfoByID(int id);

    TeacherInfo getTeacherInfoByName(String name);

    int addTeacherInfo(TeacherInfo teacherInfo);

    int updateTeacherInfo(TeacherInfo teacherInfo);

    int deleteTeacherInfo(int id);
}
